XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Un emulador de terminal para as X

SINOPSE

xfce4-terminal [OPCIÓN...]

DESCRICIóN

xfce4-terminal é o que se coñece como emulador de terminal X, a miúdo chamada terminal ou shell. Proporciona un equivalente a desfasada pantalla de texto no seu escritorio, pero que pode compartir a pantalla facilmente con outros aplicativos gráficos. Os usuarios de Windows pode que estean familiarizados ca utilidade MS-DOS, que ten a función análoga de ofrecer unha liña de ordes DOS en Windows, aínda que debe ter en conta que a CLI de UNIX é moito máis potente e fácil de usar que a de DOS.

xfce4-terminal emula ao aplicativo xterm desenvolvido polo X Consortium. En cambio, o aplicativo xterm emula á terminal do DEC VT102 e tamén soporta as secuencias de escape do DEC VT220. Unha secuencia de escape é unha serie de caracteres que comezan co carácter Esc. xfce4-terminal acepta todas as secuencias de escape que usan as terminais do VT102 e do VT220 usan para funcións como situar o cursor e limpar a pantalla.

OPCIóNS

  Resumo de opcións

Aquí ten un resumo de todas as opcións, agrupadas por tipo. As explicacións están nas seguintes seccións.

Opcións xerais
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=pantalla; --default-working-directory=directorio

Separadores de xanelas ou lapelas
    --tab; --window

Opcións de lapelas
    -x, --execute; -e, --command=orde; --working-directory=directorio; -T, --title=título; -H, --hold

Opcións de xanela
    --display=pantalla; --drop-down; --geometry=xeometría; --role=rol; --startup-id=cadea; -I, --icon=icona; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Opcións xerais

-h, --help
    Lista as diferentes opcións de liña de ordes que admite xfce4-terminal e sae

-V, --version
    Mostrar a información da versión e saír

--disable-server
    Non rexistrarse co bus de mensaxes de sesión D-BUS

--color-table
    Echo the color codes

--default-display=pantalla
    A pantalla das X predeterminada que se vai usar.

--default-working-directory=directorio
    Define directorio como directorio de traballo predeterminado para a terminal

  Separadores de xanelas ou lapelas

--tab
    Abrir unha nova lapela na última xanela especificada; pódese proporcionar máis dunha destas opcións.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Abrir unha nova xanela cunha soa lapela; pódese proporcionar máis dunha destas opcións.

  Opcións de lapelas

-x, --execute
    Executa o resto da liña de ordes na terminal

-e, --command=orde
    Executar orde na terminal

--working-directory=directorio
    Define directorio como directorio de traballo para a terminal

-T, --title=título
    Define título como título da xanela inicial de terminal

-H, --hold
    Fai que se manteña a terminal despois de que termine a orde filla

  Opcións de xanela

--display=pantalla
    Pantalla X a usar para a última xanela especificada.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=xeometría
    Define a xeometría da última xanela especificada a geometry. Consulte X(7) para obter máis información sobre como especificar as xeometrías das xanelas.

--role=rol
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=cadea
    Especifica a notificación de inicio da última xanela especificada. Úsase internamente para reenviar o id de notificación de inicio usando o servizo D-BUS.

-I, --icon=icona
    Define a icona da terminal como un nome de icona ou un nome de ficheiro.

--fullscreen
    Poñer a última xanela especificada en modo pantalla completa; só se aplica a unha xanela; pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--maximize
    Poñer a última xanela especificada en modo maximizado; só se aplica a unha xanela; pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--show-menubar
    Activa a barra de menú para a última xanela especificada. Pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--hide-menubar
    Desactiva a barra de menú para a última xanela especificada. Pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--show-borders
    Activar as decoracións de xanela para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--hide-borders
    Desactivar as decoracións de xanela para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de ordes.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

EXEMPLOS

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Abre unha nova xanela de terminal cunha xeometría de 80 columnas e 40 filas e dúas lapelas, na que na primeira lapela se executa mutt e na segunda lapela se executa mc.

CONTORNO

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    O primeiro directorio no que se han buscar os ficheiros de configuración. Por defecto está definido a ~/.config/.

${XDG_CONFIG_DIRS}
    Un lista separada por comas de directorios base que conteñen datos de configuración. Por defecto o aplicativo mirará en filename role="directory">${sysconfdir}/xdg/

${XDG_DATA_HOME}
    A raíz de tódolos ficheiros de datos específicos do usuario. Por defecto é ~/.local/share/.

${XDG_DATA_DIRS}
    Un conxunto de directorios base ordenados por preferencia relativos nos cales se deben buscar os ficheiros de datos ademais de no directorio base ${XDG_DATA_HOME}. Os directorios deben separarse con comas.

FICHEIROS

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Esta é a localización do ficheiro de configuración que inclúe as preferencias que controlan o aspecto e mailo comportamento de xfce4-terminal.

VEXA TAMéN

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Desenvolvedor

Benedikt Meurer <benny@xfce.org>
Desenvolvedor de software, os-cillation, Desenvolvemento do sistema,
    Desenvolvedor

NOTES

1.  Freedesktop.org
    http://freedesktop.org/